## python-pyshark 0.6

=== requirements.txt ===
# Development requirements. Only required for testing
appdirs
py
pytest
lxml
packaging

=== debian/changelog ===
python-pyshark (0.6-0kali2) kali-dev; urgency=medium

  * Replace appdirs with platformdirs
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jan 2025 11:13:20 +0100

python-pyshark (0.6-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arslan Masood <contact@arszilla.com>  Sun, 23 Jun 2024 16:22:05 +0300

=== debian/control ===
Source: python-pyshark
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-lxml,
 python3-packaging,
 python3-platformdirs,
 python3-py,
 python3-pytest,
 python3-termcolor,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/KimiNewt/pyshark
Vcs-Browser: https://gitlab.com/kalilinux/packages/pyshark
Vcs-Git: https://gitlab.com/kalilinux/packages/pyshark.git

Package: python3-pyshark
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python wrapper for tshark
 Python wrapper for tshark, allowing Python packet parsing using Wireshark
 dissectors.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = pyshark

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=src

override_dh_auto_test:
	# Skip tests

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyshark-$1\.tar\.gz/ \
  https://github.com/KimiNewt/pyshark/tags .*/v?(\d\S+)\.tar\.gz
